.splash {
    z-index: 12;
    width: 100%;
    height: 100%;
    display: flex;
    position: absolute;
    align-items: center;
    justify-content: center;
    background-color: $black-pearl;
    animation: fade 0.5s 3.5s both;

    &__wrapper {
        position: relative;
        min-width: 14em;
        animation: splashFadeUpShort 0.5s 3.5s both;
    }

    &__icon {
        width: 164px;
        height: 164px;
        position: absolute;
        background-repeat: no-repeat;

        &--show {
            animation: splashLogoPlay 2000ms steps(120) 0ms both, splashLogoSlideInRight 125ms 2000ms both;
        }
    }

    &__text {
        width: 50px;
        height: 165px;
        margin-top: -1px;
        overflow: hidden;
        position: relative;
        font-family: $font-family-arial;

        &--show {
            right: 10%;
            color: $white;
            font-weight: bold;
            position: absolute;
            font-size: 3.17rem;
            writing-mode: vertical-rl;
            text-transform: uppercase;
            animation: 0.25s 2s splashTextSlideInLeft both;
        }
    }
}
